﻿/*
 * 由SharpDevelop创建。
 * 用户： 秦仕川
 * 日期: 2013-4-20
 * 时间: 9:23
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using System.Collections.Generic;
using System.Web.Mvc;
using System.Web.Security;
using System.Web;
using Moon.Orm;
using mynorthdb;
using Razor.Moon.Models;
using Razor.Moon.SystemFunction;
using Webdiyer.WebControls.Mvc;
namespace Razor.Moon.Controllers
{
	public class HomeController : Controller
	{
		[CustemerAuthen()]
		public ActionResult Index()
		{
			return View();
		}
		[CustemerAuthen()]
		public ActionResult Contact()
		{
			return View();
		}
		
		[HttpPost]
		public void Login(User user)
		{
			bool exist=DBFactory.Exists(UserTable.Password.Equal(user.Password).And
			                            (UserTable.UserName.Equal(user.UserName)));
			if (exist) {
				long userID=DBFactory.GetOneField<long>(UserTable.UserID,UserTable.Password.Equal(user.Password).And
				                                        (UserTable.UserName.Equal(user.UserName)));
				SystemGlobalData.CURRENT_USERID=userID;
				//虚拟权限管理系统
				if (user.UserName=="Manager") {
					FormsAuthentication.SetAuthCookie("Manager",true);
				}else{
					FormsAuthentication.SetAuthCookie("Admin",true);
				}
			}
			Tool.ReturnTextString(exist);
		}
		[CustemerAuthen()]
		public ActionResult Index2(){
			return View();
		}
		public ActionResult listSmallPage(){
			var list=DBFactory.DefaultDB.GetWebPagedListDesc<Orders>(OrdersTable.OrderID,OrdersTable.OrderID.BiggerThan(0));
			return View(list);
		}
		
		public ActionResult Login(){
			return View();
		}
		public void AjaxDeleteMessage(int id){
			DBFactory.DeleteWhen(MessageTable.ID.Equal(id));
			Tool.ReturnTextString(id);
		}
		public ActionResult MessageBox(int?id){
			int pageID=1;
			if (id.HasValue) {
				pageID=id.Value;
			}
			 
			var list=DBFactory.GetEntities<Message>(MessageTable.MessageToUserID.Equal(SystemGlobalData.CURRENT_USERID).And(MessageTable.Deleted.Equal(0)));
			var count=DBFactory.GetInt32Count(MessageTable.MessageToUserID.Equal(SystemGlobalData.CURRENT_USERID).And(MessageTable.Deleted.Equal(0)));
			PagedList<Message> pList=new PagedList<Message>(list,pageID,5);
			return View(pList );
		}
	}
}
