﻿/*
 * 由SharpDevelop创建。
 * 用户： 秦仕川
 * 日期: 2013-6-21
 * 时间: 22:15
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using Moon.Orm;
namespace Razor.Moon.Models
{
	public class User:EntityBase{
		public User():base(){
			SetEntityName("[User]");
			SetFieldsCount(4);
			SetPrimaryField(UserTable.UserID);
			SetIsSystemSetPrimaryKey(true);
		}
		private Int64   _UserID;
		[Field(true,"UserID")]
		public Int64 UserID{
			get{return _UserID;}
			set{
				_UserID=value;
			}
		}
		private String   _UserName;
		[Field(false,"UserName")]
		public String UserName{
			get{return _UserName;}
			set{
				_UserName=value;
				this.FieldsChangedDictionary["[UserName]"]=value;
			}
		}
		private String   _Password;
		[Field(false,"Password")]
		public String Password{
			get{return _Password;}
			set{
				_Password=value;
				this.FieldsChangedDictionary["[Password]"]=value;
			}
		}
		private Int32   _State;
		[Field(false,"State")]
		public Int32 State{
			get{return _State;}
			set{
				_State=value;
				this.FieldsChangedDictionary["[State]"]=value;
			}
		}
	}

	public class UserTable{
		public static readonly Field UserID=new Field("[UserID]",true,"[User]" );
		public static readonly Field UserName=new Field("[UserName]",false,"[User]" );
		public static readonly Field Password=new Field("[Password]",false,"[User]" );
		public static readonly Field State=new Field("[State]",false,"[User]" );
	}
	public class Message:EntityBase{
		public Message():base(){
			SetEntityName("[Message]");
			SetFieldsCount(9);
			SetPrimaryField(MessageTable.ID);
			SetIsSystemSetPrimaryKey(true);
		}
		private Int64   _ID;
		[Field(true,"ID")]
		public Int64 ID{
			get{return _ID;}
			set{
				_ID=value;
			}
		}
		private Int32   _MessageType;
		[Field(false,"MessageType")]
		public Int32 MessageType{
			get{return _MessageType;}
			set{
				_MessageType=value;
				this.FieldsChangedDictionary["[MessageType]"]=value;
			}
		}
		private String   _Title;
		[Field(false,"Title")]
		public String Title{
			get{return _Title;}
			set{
				_Title=value;
				this.FieldsChangedDictionary["[Title]"]=value;
			}
		}
		private String   _MessageContent;
		[Field(false,"MessageContent")]
		public String MessageContent{
			get{return _MessageContent;}
			set{
				_MessageContent=value;
				this.FieldsChangedDictionary["[MessageContent]"]=value;
			}
		}
		private Int64   _MessageToUserID;
		[Field(false,"MessageToUserID")]
		public Int64 MessageToUserID{
			get{return _MessageToUserID;}
			set{
				_MessageToUserID=value;
				this.FieldsChangedDictionary["[MessageToUserID]"]=value;
			}
		}
		private Int64   _MessageCreartUserID;
		[Field(false,"MessageCreartUserID")]
		public Int64 MessageCreartUserID{
			get{return _MessageCreartUserID;}
			set{
				_MessageCreartUserID=value;
				this.FieldsChangedDictionary["[MessageCreartUserID]"]=value;
			}
		}
		private Boolean   _Readed;
		[Field(false,"Readed")]
		public Boolean Readed{
			get{return _Readed;}
			set{
				_Readed=value;
				this.FieldsChangedDictionary["[Readed]"]=value;
			}
		}
		private Boolean   _Deleted;
		[Field(false,"Deleted")]
		public Boolean Deleted{
			get{return _Deleted;}
			set{
				_Deleted=value;
				this.FieldsChangedDictionary["[Deleted]"]=value;
			}
		}
		private DateTime   _CreateDatetime;
		[Field(false,"CreateDatetime")]
		public DateTime CreateDatetime{
			get{return _CreateDatetime;}
			set{
				_CreateDatetime=value;
				this.FieldsChangedDictionary["[CreateDatetime]"]=value;
			}
		}
	}

	public class MessageTable{
		public static readonly Field ID=new Field("[ID]",true,"[Message]" );
		public static readonly Field MessageType=new Field("[MessageType]",false,"[Message]" );
		public static readonly Field Title=new Field("[Title]",false,"[Message]" );
		public static readonly Field MessageContent=new Field("[MessageContent]",false,"[Message]" );
		public static readonly Field MessageToUserID=new Field("[MessageToUserID]",false,"[Message]" );
		public static readonly Field MessageCreartUserID=new Field("[MessageCreartUserID]",false,"[Message]" );
		public static readonly Field Readed=new Field("[Readed]",false,"[Message]" );
		public static readonly Field Deleted=new Field("[Deleted]",false,"[Message]" );
		public static readonly Field CreateDatetime=new Field("[CreateDatetime]",false,"[Message]" );
	}

	
	
}
